Skip to Content
Cloud One
  • Products

    Business Communication Suite & Phone System


      By Edition

      ​Cloud

      Software

      Appliance

    By Deployment

    ​On-premise

    Hosted by Cloud One

    Self-hosted

    By Management

    ​Managed By Cloud One

    Semi-Managed by Cloud One

    Self-Managed


    Simu Connect UC Clients


    Simu Connect Web Client Simu Connect Mobile Client Simu Connect Desktop ClientSimu Connect Chrome ExtensionSimu Connect TAPI Integration

    SIP Trunks


    Business SIPPay As You Go SIP Country Presence SIPVirtual Phone NumbersGolden Phone NumbersToll Free NumbersBring Your Own Carrier (BYOC)Calling RatesTalktime Top-up

    Get a Proof of Concept Now!


    Simu Connect POC Application Managed Business Communication Suite Self Managed Business Communication SuiteSIP Trunk POCOdoo Phone POC
  • Solutions

    Business Needs


    Work from Anywhere Hosted UCaaS Self hosted UCaaSVideo ConferencingAppliance PBXAI-powered Cloud PBXWhite-label Solution

    Industry


    Call Center Healthcare HospitalityFinanceEducationLogisticsRetail BusinessGovernment Agency

    Ecosystem


    IP Phones SIP Trunks IntegrationHeadsetsVirtual Phone Numbers

    By Integration


    Odoo Phone System Zoho Phone System Salesforce Phone SystemMicrosoft Dynamics Phone SystemZendesk Phone SystemFreshdesk Phone SystemBitrix24 Phone SystemHubSpot Phone System
  • Resources

    Downloads

    Download user guides and more documents

    Book a Meeting

    Schedule a meeting at your convenience

    Developer Guide

    Read API Documentation for Cloud One BCS API

    Business Communication Suite

    Experience our user-friendly business communication suite today. Explore robust telephony features that enhance your client connections efficiently.  

    See More Details
  • Devices

    Yealink IP Phones


    Yealink T3 Series IP Phones Yealink T4 Series IP Phones Yealink T5 Series IP PhonesYealink T7 Series IP PhonesYealink T8 Series IP Phones Yealink DECT IP Phones

    Voice Conferencing Solutions


    VC Room Systems BYOD Solutions Video Phone Video Conferencing Accessories

    Microsoft Solutions


    MS Teams Rooms Systems Microsoft Phones Conference Phones HeadsetsYealink MeetingBoardYealink MeetingBoard Pro

    Zoom Rooms


    Zoom Rooms Systems Zoom Phones Zoom Cameras BYOD Solutions
  • Help

    Ticketing System


    Submit a Helpdesk TicketReport an Issue

    Training


    User TrainingOperator TrainingCall Center Agent TrainingSupervisor Training

    Frequently Asked Questions


    General FAQBCS FAQSIP Trunks FAQLocal Phone Numbers FAQ

    Contact Us


    WhatsApp Icon


  • Support Helpdesk Contact
  • +254 20 790 0100
  • support@cloudone.co

  • Accounts Helpdesk Contact
  • +254 20 790 0000
  • finance@cloudone.co
  • Visit our Office


    Cloud One Ltd

    Saachi Plaza - Unit A3, Argwings Kodhek Road, Nairobi, Kenya
    P.O.Box 76484-00508 Yaya Centre

    +254 20 790 0000

    hello@cloudone.co


    Kindly do not email multiple contacts as it creates multiple tickets on our CRM


  • Contact Us
  • Blog
    ​​
  • Sign in
  • 0
  • 0
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
Cloud One
  • 0
  • 0
    • Products
    • Solutions
    • Resources
    • Devices
    • Help
    • Contact Us
    • Blog
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
  • Sign in
  • ​​

Add a Certificate

Add a certificate to the PBX by either importing an existing certificate file or directly apply for a new certificate.

Limitations

The PBX supports up to 3 PBX server certificates and 20 trusted CA certificates.

Request URL

POST {base_url}/{api_path}/certificate/create?access_token={access_token}

Request parameters

ParameterRequiredTypeDescription
typeYesStringCertificate type.
Valid value:
  • trusted: Trusted CA certificate.
  • server: PBX server certificate.
ca_typeNoStringThe method to add certificate.
Valid value:
  • upload: Import an existing certificate.
  • apply: Apply for a new certificate.
  • This parameter is required when type is set to server.
  • To import a certificate, make sure you have uploaded the desired certificate to the PBX's temporary storage area first.
Note:
nameNoStringCertificate file name.
Note:
  • This parameter is required when importing an existing certificate, including the following scenarios:

    • type is set to trusted.
    • type is set to server and ca_type is set to upload.
  • You can obtain the file name from the file field in the response of Upload a Certificate API call.
issue_toNoStringThe domain name to be associated with the certificate.
Note: This parameter is required when applying for a certificate (type is set to server and ca_type is set to apply).
auto_renewalNoIntegerWhether to enable auto-renewal for the imported PBX server certificate.
Valid value:
  • 0: Disable.
  • 1: Enable.
Note:This parameter takes effect only when type is set to server and ca_type is set to upload.
dns_providerNoStringThe DNS provider used for certificate application and auto-renewal.
Note:
  • This parameter is required in the following scenarios:

    • auto_renewal is set to 1.
    • type is set to server and ca_type is set to apply.
  • For valid values, refer to the in the Flag Name column in Supported DNS Providers.
auth_info_listNoArray<Auth_Info>The DNS authentication information required for certificate application and auto-renewal.
Note:This parameter is required in the following scenarios:
  • auto_renewal is set to 1.
  • type is set to server and ca_type is set to apply.

Auth_Info

Note:

  • You MUST provide the complete set of parameters required by the selected DNS provider; otherwise, the request will fail.
  • For the authentication parameters and their value types of each DNS provider, see Supported DNS Providers.
ParameterRequiredTypeDescription
kYesStringThe key for the authentication parameter as defined by the DNS provider.
ivNoIntegerThe integer-format value of the authentication parameter.
svNoStringThe string-format value of the authentication parameter.
bvNoBooleanThe boolean-format value of the authentication parameter.

Response parameters

ParameterTypeDescription
errcodeIntegerReturned error code.
  • 0: Succeed.
  • Non-zero value: Failed.
Note: You can check the error code and error message in Error Code and Error Message.
errmsgStringReturned message.
  • SUCCESS: Succeed.
  • FAILURE: Failed.
nameStringThe name of the certificate.
apply_statusStringThe current application status of the certificate.
  • issuing: In progress.
  • issuance_success: Successfully issued.
  • issuance_fail: Failed.

Examples

The following examples are provided for different scenarios:

  • Add a trusted certificate to the PBX
  • Apply for a new certificate

Add a trusted certificate to the PBX

  1. Upload the certificate to the PBX's temporary storage area.

    Request example

    POST /openapi/v1.0/certificate/upload?access_token=wOODrqhysk0aELacF87qd4lBvmbBY4IZ HTTP/1.1
    Host: 192.168.5.150:8088
    
    Content-Type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW
    
    ------WebKitFormBoundary7MA4YWxkTrZu0gW
    Content-Disposition: form-data; name="type"
    
    trusted
    ------WebKitFormBoundary7MA4YWxkTrZu0gW
    Content-Disposition: form-data; name="file"; filename="/D:/project/certificate/example.domain.com.crt"
    Content-Type: <Content-Type header here>
    
    (data)
    ------WebKitFormBoundary7MA4YWxkTrZu0gW--
    

    Response example

    HTTP/1.1 200 OK
    {
        "errcode": 0,
        "errmsg": "SUCCESS",
        "file": "example.domain.com.crt"
    }
  2. Add the certificate to the PBX.

    Request example

    POST /openapi/v1.0/certificate/create?access_token=wTZBgrTvaWMNid53Vzbi1FE92E9qnrVg HTTP/1.1
    Host: 192.168.5.150:8088
    Content-Type: application/json
    {
        "type": "trusted",                  
        "name": "example.domain.com.crt"                 
    }

    Response example

    HTTP/1.1 200 OK
    {
        "errcode": 0,
        "errmsg": "SUCCESS",
        "name": "example.domain.com.crt",
        "apply_status": "issuance_success"
    }

Apply for a new certificate

Request example

POST /openapi/v1.0/certificate/create?access_token=wTZBgrTvaWMNid53Vzbi1FE92E9qnrVg HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
    
    "type": "server",                  
    "ca_type": "apply",              
    "issue_to": "docstest.example.com",     
    "dns_provider": "alidns",         
    "auth_info_list": [      
        {
            "k": "AccessKeyId",
            "sv": "AKIAIXXXXXXXXXXAMPLE"
        },
        {
            "k": "AccessKeySecret",
            "sv": "wJalrXUXXXXXXXXXXLEKEY"
        },
        {
            "k": "PropagationTimeout",
            "iv": 300
        },
        {
            "k": "PollingInterval",
            "iv": 5
        },
        {
            "k": "TTL",
            "iv": 600
        }
    ]
}

Response example

HTTP/1.1 200 OK
{
    "errcode": 0,
    "errmsg": "SUCCESS",
    "name": "docstest.example.com.pem",
    "apply_status": "issuing"
}
Useful Links
  • Home
  • About us
  • Products
  • Services
  • Shipping
  • Return Policy
  • Warranty
  • Contact us
Legal
  • Terms
  • Privacy
  • Shared Responsibility
    Service Level Agreement
  • Certifications
About us

Cloud One Limited is a leading Kenyan local telephony service provider. Established in 2017, we offer reliable and secure cloud and on premise business communication solutions, including SIP trunks, Yealink IP phones, and VPS hosting in our Tier 3 data center.


Our mission is to revolutionize cloud communications by providing unparalleled reliability, cutting-edge innovation, and substantial cost savings. We deliver a stress-free, always-available service experience that empowers businesses to thrive in the digital age.

DUNS Registration Number: 561230946
Company Registration Number: PVT-5JUEYMA
Licensed & Regulated by the Communications Authority of Kenya


Follow us
Connect with us
  • Contact us
  • hello@cloudone.co
  • +254 20 7900000
  • Saachi Plaza, UNIT A3 - Argwings Kodhek Rd
Download Simu Connect

    Get the app on the playstore

    Download desktop app for Windows​

    Download app from the appstore

    Download MacOS app